Squiid supports two different styles of inputting expressions, algebraic mode and RPN mode. The input mode can be changed by pressing escape and then pressing the key shown on screen for the desired mode.

## Algebraic mode
Also known as infix notation, this is likely the style you are already familiar with as it is used on calculators made by Texas Intstruments, Casio, and most others as well as most software calculators. In this style of input, most operations are placed *between* the numbers they are acting on and inputted expressions are evaluated by pressing enter. For example, to add the numbers 5 and 7, you would input `5+7`. Operations which are not placed between their operands are placed before them, with the operands in parenthesis, separated by commas afterwards. For example, to calculate the logarithm of 7 with base 14 you would input `blog(7,14)`.

## RPN mode
Also known as postfix notation, this input style is less commonly known, but is present on many HP calculators and allows for more efficient entry, so is preferred by some users. In this style of input, numbers are placed into what is known as the stack and then operations are performed on the numbers *after* they have been inputted. For example, to add the numbers 5 and 7, you would press 5, press enter to add the number to the stack, press 7, and press ++plus++ to add the two numbers. Squiid features a virtually unlimited stack, so many numbers can be contained at once which can be useful for complex calculations.

For a more detailed introduction to RPN, see [this article from the Museum of HP Calculators](https://www.hpmuseum.org/rpn.htm), keeping in mind that Squiid behaves more similarly to Entry RPN/RPL calculators than traditional HP RPN calculators.
